{ ... }@all: with all; {
  imports = [
    inputs.sops-nix.nixosModules.sops
    ./system-modules/adb.nix
    ./system-modules/auto-mount.nix
    ./system-modules/tz.nix
    ./system-modules/bluetooth.nix
    ./system-modules/boot.nix
    ./system-modules/cache.nix
    ./system-modules/calendar.nix
    ./system-modules/dm.nix
    ./system-modules/docker.nix
    ./system-modules/fcitx5.nix
    ./system-modules/fonts.nix
    ./system-modules/fuse.nix
    ./system-modules/games.nix
    ./system-modules/gc.nix
    ./system-modules/gpg.nix
    ./system-modules/hardware-configuration.nix
    ./system-modules/health_reminder.nix
    ./system-modules/hsmw.nix
    ./system-modules/kanata.nix
    ./system-modules/terminal.nix
    ./system-modules/kodi.nix
    ./system-modules/networking.nix
    ./system-modules/nixd.nix
    ./system-modules/nvidia.nix 
    ./system-modules/obs.nix
    ./system-modules/ollama.nix
    ./system-modules/qmk.nix
    ./system-modules/scanning.nix
    ./system-modules/sops.nix
    ./system-modules/sound.nix
    ./system-modules/sshd.nix
    ./system-modules/base-packages.nix
    ./system-modules/input.nix
    ./system-modules/syncthing.nix
    ./system-modules/tuda.nix
    ./system-modules/gui.nix
    ./system-modules/editor.nix
    ./system-modules/printing.nix
    ./system-modules/security.nix
    ./system-modules/users.nix
    ./system-modules/virtualisation.nix
    ./system-modules/ydotool.nix
  ] ++ (if (hyper.host == "NxACE") then [ 
    ./system-modules/nx2site.nix
    ./system-modules/hugo.nix
    ./system-modules/postgres.nix
    ./system-modules/nx2site/proxy.nix
    ./system-modules/nx2site/audiobookshelf.nix
    ./system-modules/nx2site/copyparty.nix
    ./system-modules/nx2site/gitea.nix
    ./system-modules/nx2site/open-web-calendar.nix
    ./system-modules/nx2site/radicale.nix
    ./system-modules/nx2site/vaultwarden.nix
    ./system-modules/nx2site/paperless.nix
    ./system-modules/calendar/publish.nix
    ./system-modules/calendar/lec.nix
    ./system-modules/calendar/lr.nix
    ./system-modules/calendar/dicos.nix
  ] else [
  ]);
  systemd.extraConfig = "DefaultLimitNOFILE=2048";
  system.stateVersion = hyper.pkgs-version;
  nix.settings.experimental-features = [ "nix-command" "flakes" ];
  programs.bash.shellInit = ''
    source $HOME/.nix-profile/etc/profile.d/hm-session-vars.sh
  '';
}
